PETSc version 3.15.5
Fix/Edit manual page

# DMHasCreateInjection

does the DM object have a method of providing an injection?

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMHasCreateInjection(DM dm,PetscBool *flg)

Not Collective

### Input Parameter

| dm | - the DM object

### Output Parameter

| flg | - PETSC_TRUE if the DM has facilities for DMCreateInjection().

### See Also

DMCreateInjection()

### Level

developer

### Location

src/dm/interface/dm.c

### Implementations

DMHasCreateInjection_DA in src/dm/impls/da/dacreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages